Subject: giant impatien seeds

From: [email-masked] (Anne Lednicer)
Date: Sat, 1 Apr 1995 00:48:13 GMT

I'm looking for seeds for a wonderful plant with the common name "giant 
impatien" - it doesn't look anything like regular inpatiens - it is 3-4 feet 
tall and has flowers that look like orchids or lady slippers.  I have seen 
them growing in the pacific northwest - any suggestions/leads would be greatly 
appreciated - thank you